package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.ConditionUnit;
import cn.com.victorysoft.business.sys.param.UnitDatePageParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

@Mapper
public interface ConditionUnitDao {
    ConditionUnit selectUnit(UnitDatePageParam param);

    List<ConditionUnit> selectChildren(UnitDatePageParam param);

    int deleteByPrimaryKey(ConditionUnit key);

    int deleteByDate(Date date);

    int insert(ConditionUnit record);

    ConditionUnit selectByPrimaryKey(ConditionUnit key);

    int updateByPrimaryKeySelective(ConditionUnit record);

    int updateByPrimaryKey(ConditionUnit record);
}